Subject: bug#9611: closed (Re: bug#9611: Copy an item with its parent directory)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Sep 2011 13:31:04 +0000

Your bug report

#9611: Copy an item with its parent directory

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9611: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9611
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9611: Copy an item with its parent directory
From: Pádraig Brady <[email-masked]>
To: Peng Yu <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Sep 2011 14:29:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 9611 notabug

On 09/27/2011 02:23 PM, Peng Yu wrote:
> Hi,
> 
> Suppose I have a file 'a/b/c/d/e/f', I want to copy it to 'target'
> with the parent 'd/e'. I.e., the resulted file is 'target/d/e/f'.
> 
> I can make a bash script to do so, but I wondering if there is an
> existing command or option. Thanks!
> 

(cd a/b/c && cp --parents d/e/f /path/to/target)

cheers,
Pádraig.

Subject: Copy an item with its parent directory
From: Peng Yu <[email-masked]>
To: [email-masked]
Date: Tue, 27 Sep 2011 08:23:33 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Suppose I have a file 'a/b/c/d/e/f', I want to copy it to 'target'
with the parent 'd/e'. I.e., the resulted file is 'target/d/e/f'.

I can make a bash script to do so, but I wondering if there is an
existing command or option. Thanks!

-- 
Regards,
Peng